import React from 'react';
import './index.css';
declare type BaseButtonProps = {
    children?: React.ReactNode;
    className?: string;
};
export declare type NativeButtonProps = {
    onClick?: React.MouseEventHandler<HTMLElement>;
} & BaseButtonProps & Omit<React.ButtonHTMLAttributes<any>, 'type' | 'onClick'>;
declare const Button: React.FC<NativeButtonProps>;
export default Button;
